Bug 494150

Summary: AttributeError: 'Ext4FS' object has no attribute 'mapName'
Product: [Fedora] Fedora Reporter: Ian Weller <ian>
Component: anacondaAssignee: Martin Sivák <msivak>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 13CC: birger, briemers, debarshir, dlehman, jlaska, kiran.dhananjaykd, pjones, reubendb, rmaximo, vanmeeuwen+fedora, zcerza
Target Milestone: ---Keywords: CommonBugs, Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard: anaconda_trace_hash:d4233c0be8db0be533b134638c6a55bfcd482e1509f9e3a76a5d4030b16f216c https://fedoraproject.org/wiki/Common_F13_bugs#attr-error-mapName
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 10:09:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 472555    
Attachments:
Description Flags
Attached traceback automatically from anaconda.
none
Attached traceback automatically from anaconda. none

Description Ian Weller 2009-04-04 21:13:52 EDT
The following was filed automatically by anaconda:
anaconda None exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/storage/devices.py", line 1413, in create
    self._name = self.slave.format.mapName
  File "/usr/lib/anaconda/storage/deviceaction.py", line 206, in execute
    self.device.create(intf=intf)
  File "/usr/lib/anaconda/storage/devicetree.py", line 659, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib/anaconda/storage/__init__.py", line 210, in doIt
    self.devicetree.processActions()
  File "/usr/lib/anaconda/packages.py", line 115, in turnOnFilesystems
    anaconda.id.storage.doIt()
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
AttributeError: 'Ext3FS' object has no attribute 'mapName'
Comment 1 Ian Weller 2009-04-04 21:14:03 EDT
Created attachment 338192 [details]
Attached traceback automatically from anaconda.
Comment 2 Martin Sivák 2009-04-16 05:29:21 EDT
Can you describe what did you do when this happened, so we can reproduce this please? It will also help us to determine what exactly went wrong, because it is not a simple case of missing symbol.
Comment 3 kiran 2009-04-18 02:48:00 EDT
Created attachment 340127 [details]
Attached traceback automatically from anaconda.
Comment 4 Chris Lumens 2009-04-21 17:36:51 EDT
*** Bug 496938 has been marked as a duplicate of this bug. ***
Comment 5 Kevin Fenzi 2009-04-28 15:13:17 EDT
I just tried a install here and got this one. 

Custom paritioning: 

250MB /boot (ext3)
the rest / (btrfs) (encrypted)

My traceback said "BTRFS" instead of "Ext3FS"
Comment 6 David Lehman 2009-05-04 15:49:00 EDT
Can someone please give a description of the series of operations leading to this failure?
Comment 7 Bug Zapper 2009-06-09 09:17:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Ian Weller 2009-06-26 14:01:11 EDT
I can't fulfill the NEEDINFO request because at this point I can no longer remember what caused the traceback. Sorry :(
Comment 9 Chris Lumens 2009-06-29 11:45:10 EDT
*** Bug 505816 has been marked as a duplicate of this bug. ***
Comment 10 Debarshi Ray 2009-07-17 06:23:01 EDT
As noted in #505816, one of the duplicates of this bug, the problem occured when trying to create encrypted Ext3 partitions. Encrypted Ext4 did not cause any problems.
Comment 11 reubendb 2009-12-06 15:44:52 EST
I reported the bug #543777, which is marked as duplicate of #496938, which is marked as duplicate of this bug. 
As I described in my original report, I think creating an unencrypted ext4 partition without assigning mount point caused a crash (the crash ?). During the crash, one of the partititon I created was encrypted Ext4.
I repeated the install and did exactly the same partition layout, except in the second time I assigned a mount point to all partitions (one of them was encrypted), and that went through fine without the crash.
I hope that helps shed some light on the cause of the crash.
Comment 12 Bug Zapper 2010-04-27 09:30:30 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 James Laska 2010-05-11 08:29:06 EDT
*** Bug 590905 has been marked as a duplicate of this bug. ***
Comment 14 James Laska 2010-05-11 08:30:04 EDT
This issue still occurs in Fedora/13.  We've not yet managed to pinpoint the partition layout that leads up to this failure.

Most recent traceback available as attachment#412993 [details]
Comment 15 birger 2010-05-11 17:14:40 EDT
From memory, the partition layout on the F13 laptop where this occurred had been through the following history:

Installed with Windows Vista using MS deployment tools. One 80GB partition.
sda1 was then shrunk to about 40GB, probably using gparted while running fedora live from a usb stick.
Created /boot as sda2 just after the windows partition.
sda3 became a LVM volume containing root and swap.

When installing F13 RC2 I booted from DVD, deleted sda1 and sda2, and then set up sda1 (/boot), sda2 (swap) and sda5 (/). sda5 was set up with encryption.

I hope this can help pinpoint where the oddity in the partition layout can have been.
Comment 16 Bill C. Riemers 2010-08-07 22:00:25 EDT
I am seeing this on my laptop right now with a Fedora 13 install.   The partition table layout causing this error:
/dev/sda1 -> ntfs
/dev/sda2 -> ntfs
/dev/sda3 -> ext4 mounted as /boot
/dev/sda4 -> extended
/dev/sda5 -> ntfs
/dev/sda6 -> lvm (encrypted)
the physical volume /dev/sda6 has a ext4 partition for /, /home, swap1, and swap2.

If instead I select non-encrypted for /dev/sda6, the install proceeds without this.   Unfortunately corporate policy is to use full disk encryption, so I can not use the install created without lvm encrypted.
Comment 17 Bill C. Riemers 2010-08-07 22:13:50 EDT
Note: As a workaround I was able to do the install by only specifying / in the volume group and using ext3 instead of ext4.   After the install I was able to create the ext4 file systems I wanted and move my root and home to those file systems.
Comment 18 Bug Zapper 2011-06-02 14:10:28 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2011-06-27 10:09:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.